## mercurial 2.0.2

=== debian/changelog ===
mercurial (2.0.2-1ubuntu1.2) precise-security; urgency=medium

  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix for improperly handling case-insensitive paths on
    Windows and OS X clients
    - http://selenic.com/repo/hg-stable/rev/885bd7c5c7e3
    - http://selenic.com/repo/hg-stable/rev/c02a05cc6f5e
    - http://selenic.com/repo/hg-stable/rev/6dad422ecc5a
    - CVE-2014-9390
    - LP: #1404035

  [ Marc Deslauriers ]
  * SECURITY UPDATE: arbitrary command exection via crafted repository
    name in a clone command
    - d/p/from_upstream__sshpeer_more_thorough_shell_quoting.patch: add
      more thorough shell quoting to mercurial/sshrepo.py.
    - CVE-2014-9462

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jun 2015 13:27:17 -0400

mercurial (2.0.2-1ubuntu1) precise; urgency=low

  * debian/bash_completion_with_spaces.patch
    - Mercurial bash completion will work with spaces (LP: #889344) 

 -- Vibhav Pant <vibhavp@gmail.com>  Tue, 27 Mar 2012 15:32:19 -0400

mercurial (2.0.2-1) unstable; urgency=low

  * New upstream revision
  * Fix "hg-ssh is installed system-wide but uses "/usr/bin/env python"
    as the python interpreter" with a patch that fixes the interpreter
    (Closes: #654925)

 -- Javi Merino <cibervicho@gmail.com>  Fri, 06 Jan 2012 22:09:32 +0000
