=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Vernon Tang <vt@foilhead.net>,
 Javi Merino <cibervicho@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0),
 patchutils (>= 0.2.25), gettext,
 python-all-dev (>= 2.6.6-3~), python-docutils,
 zip, unzip
Standards-Version: 3.9.2
Homepage: http://mercurial.selenic.com/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
X-Python-Version: >= 2.4

Package: mercurial-common
Architecture: all 
Depends: ${misc:Depends}, ${python:Depends}
Recommends: mercurial (>= ${source:Version}), ca-certificates
Suggests: wish,
 python-mysqldb, 
 python-pygments,
 python-openssl
Breaks: mercurial (<< ${source:Version})
Replaces: mercurial (<< 1.4)
Description: easy-to-use, scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
 mercurial-common (= ${source:Version})
Suggests: qct, 
 wish, 
 vim | emacs,
 kdiff3 | tkdiff | meld | xxdiff
Breaks: hgsubversion (<< 1.3), hgview (<< 1.3.0-2~), mercurial-git (<< 0.3.1), qct (<< 1.7-2~)
Description: easy-to-use, scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.
