=== debian/watch ===
# Compulsory line, this is a version 2 file
version=2

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php mercurial-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
opts="uversionmangle=s/-rc/~rc/" \
  http://www.selenic.com/mercurial/release/mercurial-([^s].*)\.tar\.gz
