## mercurial 2.1

=== debian/changelog ===
mercurial (2.1-1) unstable; urgency=low

  * New upstream revision

 -- Javi Merino <cibervicho@gmail.com>  Fri, 03 Feb 2012 18:38:19 +0100
