=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Vernon Tang <vt@foilhead.net>,
  Javi Merino <cibervicho@gmail.com>
