=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Vernon Tang <vt@foilhead.net>,
- Javi Merino <cibervicho@gmail.com>
-DM-Upload-Allowed: yes
+ Javi Merino <vicho@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
  patchutils (>= 0.2.25), gettext,
  python-all-dev (>= 2.6.6-3~), python-docutils,
  zip, unzip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
@@ -37,10 +36,11 @@
 Architecture: any 
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
  mercurial-common (= ${source:Version})
+Recommends: openssh-client
 Suggests: qct, 
  wish, 
  vim | emacs,
- kdiff3 | tkdiff | meld | xxdiff
+ kdiff3 | kdiff3-qt | kompare | meld | xxdiff | tkcvs | mgdiff
 Breaks: hgsubversion (<< 1.3), hgview (<< 1.3.0-2~), mercurial-git (<< 0.3.1), qct (<< 1.7-2~)
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
