=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,36 @@
 	dh $@ --with python2
 
 PYVERS=$(shell pyversions -vs)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 override_dh_auto_build: $(PYVERS:%=build-python%)
 	$(MAKE) -C doc man
 	# Do not start a line with a word with a dot in a manpage
 	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1
 
-# Tests are not yet ready to be run in Debian build context
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+         NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+         PARALLEL_TEST_JOBS := --jobs $(NJOBS)
+endif
+
+ARCH_IS_MIPS := $(if $(subst mips,,$(DEB_HOST_ARCH)),,T)
+ARCH_IS_KFREEBSD-i386 := $(if $(subst kfreebsd-i386,,$(DEB_HOST_ARCH)),,T)
 override_dh_auto_test:
+# Some tests try to execute two hg commands at the same time
+# to test for corruption.  They do so by running an hg command
+# in the background, sleeping one second and running the
+# second command.  In slow architectures, one second is not
+# enough and the second test starts before the first one has
+# started printing.  This is hacky and we just enhance the
+# hack by incrementing the sleep time in those slow
+# architectures (mips and kfreebsd-i386 at the moment).
+ifneq ($(or $(ARCH_IS_MIPS), $(ARCH_IS_KFREEBSD-i386)),)
+		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t $(CURDIR)/tests/test-pull-pull-corruption2.t
+endif
+
+	dh_auto_test -- TESTFLAGS="--verbose --timeout 480 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
+
+	rename.ul .deb-backup '' $(CURDIR)/tests/*
 
 build-python%: mercurial/__version__.py
 	python$* setup.py build
