## mercurial 2.1.2

=== debian/changelog ===
mercurial (2.1.2-2) unstable; urgency=low

  * Add sparc to the list of architectures with slow buildds
  * Import 91eec29dd7de from upstream to fix the test-suite failures in
    mips and sparc

 -- Javi Merino <vicho@debian.org>  Tue, 03 Apr 2012 21:54:05 +0100

mercurial (2.1.2-1) unstable; urgency=low

  * New upstream release 2.1.2
  * Add armel to the list of architectures with slow buildds
  * Drop patch "deb_specific__no_optim_bdiff_armel.patch" as gcc no
    longer miscompiles bdiff in armel
  * Remove confusing entry in Debian.NEWS (Closes: #666549)
  * Remove patches for_upstream__fix_kfreebsd_test_inherit.patch,
    from_upstream__dont_translate_the_abort_message_twice.patch and
    from_upstream__fix_all_remaining_uses_of_inside.patch which are now
    included upstream
  * Add patch for_upstream__skip_test_gpg_if_not_mercurial_wd.patch to
    skip test-gpg when the testsuite is not run in a hg checkout

 -- Javi Merino <vicho@debian.org>  Mon, 02 Apr 2012 22:50:29 +0100
