=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
- Vernon Tang <vt@foilhead.net>,
  Javi Merino <vicho@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
  patchutils (>= 0.2.25), gettext,
