=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,18 @@
 
 ARCH_IS_MIPS := $(if $(subst mips,,$(DEB_HOST_ARCH)),,T)
 ARCH_IS_KFREEBSD-i386 := $(if $(subst kfreebsd-i386,,$(DEB_HOST_ARCH)),,T)
+ARCH_IS_ARMEL := $(if $(subst armel,,$(DEB_HOST_ARCH)),,T)
+ARCH_IS_SPARC := $(if $(subst sparc,,$(DEB_HOST_ARCH)),,T)
+
 override_dh_auto_test:
-# Some tests try to execute two hg commands at the same time
-# to test for corruption.  They do so by running an hg command
-# in the background, sleeping one second and running the
-# second command.  In slow architectures, one second is not
-# enough and the second test starts before the first one has
-# started printing.  This is hacky and we just enhance the
-# hack by incrementing the sleep time in those slow
-# architectures (mips and kfreebsd-i386 at the moment).
-ifneq ($(or $(ARCH_IS_MIPS), $(ARCH_IS_KFREEBSD-i386)),)
+# Some tests try to execute two hg commands at the same time to test
+# for corruption.  They do so by running an hg command in the
+# background, sleeping one second and running the second command.  In
+# architectures with slow buildds, one second is not enough and the
+# second test starts before the first one has started printing.  This
+# is hacky and we just enhance the hack by incrementing the sleep time
+# in those architectures.
+ifneq ($(or $(ARCH_IS_MIPS), $(ARCH_IS_KFREEBSD-i386), $(ARCH_IS_ARMEL), $(ARCH_IS_SPARC)),)
 		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t $(CURDIR)/tests/test-pull-pull-corruption2.t
 endif
