## mercurial 2.2.2

=== debian/changelog ===
mercurial (2.2.2-4+deb7u7) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix non-deterministic build test suite failure introduced in
    CVE-2017-1000116, spotted by Chris Lamb
  * CVE-2018-1000132: Incorrect Access Control vulnerability in Protocol
    server that can result in Unauthorized data access (Closes: #892964)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 26 Mar 2018 13:56:31 -0400

mercurial (2.2.2-4+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-17458: arbitrary code execution via craft subrepository

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 28 Dec 2017 11:36:50 -0500

mercurial (2.2.2-4+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-1000115: path traversal via symlink (Closes: #871709)
  * CVE-2017-1000116: command injection on clients through malicious ssh
    URLs (Closes: #871710)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 28 Aug 2017 13:52:40 -0400

mercurial (2.2.2-4+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-9462: "hg serve --stdio" allows remote authenticated users to
    launch the Python debugger, and consequently execute arbitrary code,
    by using --debugger as a repository name. (Closes: #861243)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 27 Jun 2017 14:57:43 -0400

mercurial (2.2.2-4+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-3105:
    + convert: pass absolute paths to git
 
 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 06 May 2016 10:03:02 +0200

mercurial (2.2.2-4+deb7u2) wheezy-security; urgency=high

  * CVE-2016-3630:
    + mpatch: rewrite pointer overflow checks (prerequisite for the following)
    + parsers: fix list sizing rounding error
    + parsers: detect short records
  * CVE-2016-3068:
    + subrepo: set GIT_ALLOW_PROTOCOL to limit git clone protocols
  * CVE-2016-3069:
    + convert: add new, non-clowny interface for shelling out to git
    + convert: rewrite calls to Git to use the new shelling mechanism
    + convert: dead code removal - old git calling functions
    + convert: rewrite gitpipe to use common.commandline
    + convert: test for shell injection in git calls
  Closes: #819504

 -- Julien Cristau <jcristau@debian.org>  Fri, 01 Apr 2016 22:51:48 +0200

mercurial (2.2.2-4+deb7u1) wheezy-security; urgency=high

  * Fix "CVE-2014-9462" by adding patch
    from_upstream__sshpeer_more_thorough_shell_quoting.patch (Closes:
    #783237)

 -- Javi Merino <vicho@debian.org>  Wed, 06 May 2015 08:09:26 +0100

mercurial (2.2.2-4) stable; urgency=high

  * Security update for CVE-2014-9390: errors in handling case-sensitive
    directories allow for remote code execution on pull.

 -- Javi Merino <vicho@debian.org>  Tue, 23 Dec 2014 12:42:20 +0100

mercurial (2.2.2-3) unstable; urgency=low

  * Fix "Backport improvement to vimdiff configuration" by adding
    from_upstream__set_vimdiff_to_check_changed.patch,
    from_upstream__mergetools_vimdiff_issue_warning.patch and
    from_upstream__mergetools_refine_vimdiff_warning_message.patch
    backported from upstream (Closes: #701168)

 -- Javi Merino <vicho@debian.org>  Sat, 23 Feb 2013 19:52:22 +0000

mercurial (2.2.2-2) unstable; urgency=low

  * Fix "Please add patch from http://bz.selenic.com/show_bug.cgi?id=3511"
    by adding it (Closes: #698634)

 -- Javi Merino <vicho@debian.org>  Mon, 21 Jan 2013 23:33:20 +0000

mercurial (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sun, 03 Jun 2012 09:17:36 +0100
