=== debian/control ===
--- 
+++ 
@@ -5,9 +5,13 @@
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
- patchutils (>= 0.2.25), gettext,
- python-all-dev (>= 2.6.6-3~), python-docutils,
- zip, unzip
+ patchutils (>= 0.2.25),
+ gettext,
+ python-all-dev (>= 2.6.6-3~),
+ python-docutils,
+ python-roman,
+ zip,
+ unzip
 Standards-Version: 3.9.3
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
