=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,15 @@
 ARCH_IS_SPARC := $(if $(subst sparc,,$(DEB_HOST_ARCH)),,T)
 
 override_dh_auto_test:
-# Some tests try to execute two hg commands at the same time to test
-# for corruption.  They do so by running an hg command in the
-# background, sleeping one second and running the second command.  In
-# architectures with slow buildds, one second is not enough and the
-# second test starts before the first one has started printing.  This
-# is hacky and we just enhance the hack by incrementing the sleep time
-# in those architectures.
+# test-pull-pull-corruption tries to execute two hg commands at the
+# same time to test for corruption.  It does so by running an hg
+# command in the background, sleeping one second and running the
+# second command.  In architectures with slow buildds, one second is
+# not enough and the second test starts before the first one has
+# started printing.  This is hacky and we just enhance the hack by
+# incrementing the sleep time in those architectures.
 ifneq ($(or $(ARCH_IS_MIPS), $(ARCH_IS_KFREEBSD-i386), $(ARCH_IS_ARMEL), $(ARCH_IS_SPARC)),)
-		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t $(CURDIR)/tests/test-pull-pull-corruption2.t
+		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
 endif
 
 	dh_auto_test -- TESTFLAGS="--verbose --timeout 480 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
@@ -95,6 +95,7 @@
 	dh_auto_clean
 	mv mercurial/__version__.py.save mercurial/__version__.py
 	$(RM) -rv tmp/
+	$(RM) -f tests/gpg/random_seed
 	$(RM) build-python*
 
 mercurial/__version__.py:
