=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
  patchutils (>= 0.2.25),
  gettext,
  python-all-dev (>= 2.6.6-3~),
@@ -12,10 +12,10 @@
  python-roman,
  zip,
  unzip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mercurial.selenic.com/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
 
 Package: mercurial-common
@@ -43,8 +43,8 @@
 Suggests: qct, 
  wish, 
  vim | emacs,
- kdiff3 | kdiff3-qt | kompare | meld | xxdiff | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.3), hgview (<< 1.3.0-2~), mercurial-git (<< 0.3.1), qct (<< 1.7-2~)
+ kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
+Breaks: hgsubversion (<= 1.4), hgview (<< 1.7.1-1~), mercurial-git (<= 0.3.3), qct (<< 1.7-2~)
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
