## mercurial 2.6.3

=== debian/changelog ===
mercurial (2.6.3-1) unstable; urgency=low

  * New upstream release
  * Remove preinst script as it's mostly checks for stuff that was fixed
    long ago
  * Remove old checks from postinst
  * Move config files to mercurial-common
  * Install bash-completion using debhelper's bash-completion sequencer
  * Compatible with hgsubversion 1.5 or greater, update breaks to
    reflect that

 -- Javi Merino <vicho@debian.org>  Sun, 21 Jul 2013 23:31:34 +0200
