=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  python-docutils,
  python-roman,
  zip,
- unzip
+ unzip,
+ bash-completion
 Standards-Version: 3.9.4
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
@@ -44,7 +45,7 @@
  wish, 
  vim | emacs,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<= 1.4), hgview (<< 1.7.1-1~), mercurial-git (<= 0.3.3), qct (<< 1.7-2~)
+Breaks: hgsubversion (<< 1.5~), hgview (<< 1.7.1-1~), mercurial-git (<= 0.3.3), qct (<< 1.7-2~)
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
