## mercurial 2.7.2

=== debian/changelog ===
mercurial (2.7.2-1) unstable; urgency=low

  * New upstream release
  * Revert breaks of mercurial-git back to << 0.4.0-1 (Closes: #725145)
  * Re-enable the testsuite as the tests that timeout can be blacklisted

 -- Javi Merino <vicho@debian.org>  Wed, 02 Oct 2013 23:55:58 +0100

mercurial (2.7.1-3) unstable; urgency=low

  * Update breaks of mercurial-git to the current version (0.4.0-1)
  * Add autopkgtest tests

 -- Javi Merino <vicho@debian.org>  Tue, 01 Oct 2013 08:48:23 +0100

mercurial (2.7.1-2) unstable; urgency=low

  * Temporarily don't run the testsuite when building.  Since 2.7.1 it
    timeouts in buildd environments (but works ok if run in the command
    line).

 -- Javi Merino <vicho@debian.org>  Thu, 05 Sep 2013 21:52:14 +0100

mercurial (2.7.1-1) unstable; urgency=low

  * New upstream release
  * Enable tests that need networking

 -- Javi Merino <vicho@debian.org>  Wed, 04 Sep 2013 23:06:57 +0100

mercurial (2.7-2) unstable; urgency=low

  * Fix "conffiles not removed" by properly moving them to mercurial-common
    (Closes: #718621)

 -- Javi Merino <vicho@debian.org>  Tue, 13 Aug 2013 23:11:14 +0200

mercurial (2.7-1) unstable; urgency=low

  * New upstream release
  * Remove shrink-revlog.py from examples as it is no longer shipped in
    mercurial

 -- Javi Merino <vicho@debian.org>  Sun, 11 Aug 2013 16:09:20 +0200
