=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 %:
-	dh $@ --with python2 --with bash-completion
+	dh $@ --with python2,bash-completion
 
 PYVERS=$(shell pyversions -vs)
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -35,7 +35,7 @@
 		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
 endif
 
-	dh_auto_test -- TESTFLAGS="--verbose --timeout 480 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
+	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 480 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
 
 	rename.ul .deb-backup '' $(CURDIR)/tests/*
 endif
@@ -68,15 +68,15 @@
 		-type d -empty -delete
 
 install-archindep:
-        # Install system-wide conffiles.  Note the rename from .hgrc
-        # to .rc, which dh_install can't do if you list the file in
-        # mercurial-common.install
+	# Install system-wide conffiles.  Note the rename from .hgrc
+	# to .rc, which dh_install can't do if you list the file in
+	# mercurial-common.install
 	install -m 644 \
 		contrib/mergetools.hgrc \
-		$(CURDIR)/debian/mercurial/etc/mercurial/hgrc.d/mergetools.rc
+		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/mergetools.rc
 	install -m 644 \
 		debian/cacerts.hgrc \
-		$(CURDIR)/debian/mercurial/etc/mercurial/hgrc.d/cacerts.rc
+		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/cacerts.rc
 	# remove arch-dependent python stuff
 	find debian/mercurial-common/usr/lib \
 		-name '*.so' ! -type d -delete , \
