## mercurial 2.8

=== debian/changelog ===
mercurial (2.8-1) unstable; urgency=low

  * New upstream release
  * Fix mercurial-git and hgsubversion autopkgtest by loading the
    appropriate extension
  * Bump standards-version to 3.9.5 (no change needed)

 -- Javi Merino <vicho@debian.org>  Fri, 01 Nov 2013 23:19:57 +0000

mercurial (2.8~rc1-1) experimental; urgency=low

  * New upstream release
  * Fix patches deb_specific__install-help-separately,
    deb_specific__install-help-separately and
    deb_specific__install-mo-fhs.patch so that we can run the full
    testsuite when building
  * Build-depend on netbase to make test-serve.t work

 -- Javi Merino <vicho@debian.org>  Mon, 21 Oct 2013 22:35:36 +0100
