=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
  python-roman,
  zip,
  unzip,
- bash-completion
-Standards-Version: 3.9.4
+ bash-completion,
+ netbase,
+Standards-Version: 3.9.5
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
