=== debian/tests/control ===
Tests: testsuite
Depends: @, python-subversion, monotone, cvs, bzr, tla, darcs, pyflakes

Tests: hgsubversion
Depends: @, hgsubversion

Tests: mercurial-git
Depends: @, mercurial-git, git
