=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
- Javi Merino <vicho@debian.org>
+ Javi Merino <vicho@debian.org>,
+ Tristan Seligmann <mithrandi@debian.org>
 Build-Depends: debhelper (>= 9),
  patchutils (>= 0.2.25),
  gettext,
@@ -42,9 +43,9 @@
 Architecture: any 
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
  mercurial-common (= ${source:Version})
-Recommends: openssh-client
+Recommends: openssh-client,
+ wish,
 Suggests: qct, 
- wish, 
  vim | emacs,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
 Breaks: hgsubversion (<< 1.5~),
