=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
 endif
 
-	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 480 $(PARALLEL_TEST_JOBS)"
+	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS)"
 
 	rename.ul .deb-backup '' $(CURDIR)/tests/*
 endif
@@ -94,6 +94,10 @@
 	mv mercurial/__version__.py.save mercurial/__version__.py
 	$(RM) -rv tmp/
 
+override_dh_clean:
+	dh_clean
+	rm tests/test-check-pyflakes.t
+
 mercurial/__version__.py:
 	@echo "$@ is missing (you probably call 'make clean' directly)."
 	@echo "Restore it from sources before building the package"
